Skip to content

Get payout status

Current state of a payout created by this agent. Branch on `displayStatus`; treat unknown values as `processing`.

GET
/api/payouts/{payoutId}

Responses​

Payout.

application/json

Wrapped payout.

Payout detail.

{
  "payout": {
    "payoutId": "<string>",
    "displayStatus": "<string>",
    "displayStatusExpiresAt": "<integer>",
    "txHash": "<string>",
    "approvalUrl": "<string>",
    "expiresAt": "<integer>",
    "toAddress": "<string>",
    "amount": "<string>",
    "currency": "<string>",
    "network": "<string>",
    "assetAddress": "<string>",
    "mandateId": "<string>",
    "bizId": "<string>",
    "description": "<string>",
    "agentId": "<string>",
    "agentName": "<string>",
    "failureReason": "<string>",
    "createdAt": "<integer>",
    "executedAt": "<integer>"
  }
}

Released under the MIT License.